Skip to main content
POST
/
v1
/
admin
/
cruises
/
sailings
/
{key}
/
bookings
Create cruise booking
curl --request POST \
  --url https://{operatorDomain}/v1/admin/cruises/sailings/{key}/bookings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cabinCategoryId": "<string>",
  "personId": "<string>",
  "contact": {},
  "passengers": [
    {}
  ]
}
'
{
  "id": "bkng_01h...",
  "sailingKey": "<string>",
  "status": "confirmed"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

key
string
required

Body

application/json
cabinCategoryId
string
personId
string | null
contact
object
passengers
object[]

Response

201 - application/json

Created booking

id
string
Example:

"bkng_01h..."

sailingKey
string
status
string
Example:

"confirmed"